<?php

class Clans extends CActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'clans';
    }

    public function rules() {
        return array(
            array('title', 'length', 'max' => 20, 'min' => 3, 'tooLong' => 'Название слишком длинное (более 20 символов)', 'tooShort' => 'Название слишком короткое (менее 3 символов)'),
            array('title', 'match', 'pattern' => '/^[A-Za-z0-9А-Яа-я\s,]+$/u', 'message' => 'Название содержит недопустимые символы.'),
            array('title', 'required', 'message' => 'Заполните название'),
        );
    }

    public function attributeLabels() {
        return array(
            'title' => '"Название"',
        );
    }

    public static function findClan($id) {
        $clan = self::model()->findByPk($id);
        if (!$clan) {
            throw new CHttpException(404, 'Клан не существует');
        } else {
            return $clan;
        }
    }

}
